Package org.eclipse.m2m.atl.engine.vm

## Class AtlModelHandler

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.AtlModelHandler

Direct Known Subclasses:
  `AtlEMFModelHandler`

    public abstract class AtlModelHandler
    extends java.lang.Object

The abstract model handler definition.

### Field Summary

Fields
`static java.lang.String` `AMH_EMF` EMF model handler name.

### Constructor Summary

Constructors
`AtlModelHandler()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract ModelLoader` `createModelLoader()`
`static AtlModelHandler` `getDefault​(java.lang.String repository)` Returns the default model handler.
`static AtlModelHandler` `getHandler​(ASMModel model)` Returns the handler of a given model.
`static java.lang.String` `getHandlerName​(ASMModel model)`
`static java.lang.String[]` `getModelHandlers()` Returns the model handlers ids.
`abstract boolean` `isHandling​(ASMModel model)` Returns true if the model is handled by the current model handler.
`static void` `registerDefaultHandler​(java.lang.String repository, AtlModelHandler handler)` Registers the given handler as the default model handler for the given repository.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AMH_EMF

    public static final java.lang.String AMH_EMF

EMF model handler name.

See Also:
  Constant Field Values

### Constructor Detail

#### AtlModelHandler

    public AtlModelHandler()

### Method Detail

#### registerDefaultHandler

    public static void registerDefaultHandler​(java.lang.String repository,
                                              AtlModelHandler handler)

Registers the given handler as the default model handler for the given repository.

Parameters:
  `repository` - The repository ID (e.g. "EMF" or "MDR")
  `handler` - The default AtlModelHandler object to use.

#### getDefault

    public static AtlModelHandler getDefault​(java.lang.String repository)

Returns the default model handler.

Parameters:
  `repository` - The repository ID (e.g. "EMF" or "MDR")
Returns:
  the default model handler.

#### getModelHandlers

    public static java.lang.String[] getModelHandlers()

Returns the model handlers ids.

Returns:
  the model handlers ids

#### getHandlerName

    public static java.lang.String getHandlerName​(ASMModel model)

#### getHandler

    public static AtlModelHandler getHandler​(ASMModel model)

Returns the handler of a given model.

Parameters:
  `model` - the model
Returns:
  the handler of a given model

#### isHandling

    public abstract boolean isHandling​(ASMModel model)

Returns true if the model is handled by the current model handler.

Parameters:
  `model` - the model to test
Returns:
  true if the model is handled by the current model handler.

#### createModelLoader

    public abstract ModelLoader createModelLoader()

Returns:
  A new ModelLoader instance corresponding to this kind of handler.